import React from "react";
import { View, Text } from "react-native";
import { useCurrentTrain } from "../stateBox/useCurrentTrain";
import { useNavigation } from "@react-navigation/native";
import { BigButton } from "./atom/BigButton";
export default function CurrentTrainListView() {
  const { goBack } = useNavigation();
  const { currentTrain } = useCurrentTrain();
  return (
    <View style={{ height: "100%", backgroundColor: "#0099CC" }}>
      {currentTrain && currentTrain.map((d) => <Text>{d.num}</Text>)}
      <BigButton onPress={goBack} string="閉じる" />
    </View>
  );
}
